@import "https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,600;1,400&display=swap";

:root {
  --primary: #2a3990;
  --primary-tint: #2a39900a;
  --dark-grey: #606060;
  --light-grey: #f2f0f0;
  --black: #0a0a0a;
  --white: #ffffff;
  --font-secondary: Georgia, "Times New Roman", Times, serif;
}
html,
body {
  margin: 0;
  height: 100%;
  color: var(--dark-grey);
}
* {
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
  font-family: Raleway, sans-serif;
}
main {
  margin: auto;
  display: flex;
  flex-direction: column;
}

/* BASIC GRID */
.grid {
  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  grid-gap: 35px;
}
.gap-large {
  grid-gap: 60px;
}
.col-12 {
  grid-column: col-start / span 12;
}
.col-10 {
  grid-column: col-start 2 / span 10;
}
.col-8 {
  grid-column: col-start 3 / span 8;
}
.col-6 {
  grid-column: col-start 4 / span 6;
}
.col-4 {
  grid-column: col-start 5 / span 4;
}
.offset-1 {
  grid-column-start: 1;
}
.offset-2 {
  grid-column-start: 2;
}
.offset-3 {
  grid-column-start: 3;
}
.offset-4 {
  grid-column-start: 4;
}
.offset-5 {
  grid-column-start: 5;
}
.offset-6 {
  grid-column-start: 6;
}
.offset-7 {
  grid-column-start: 7;
}
.offset-8 {
  grid-column-start: 8;
}
.offset-9 {
  grid-column-start: 9;
}
.offset-10 {
  grid-column-start: 10;
}
.offset-11 {
  grid-column-start: 11;
}

/* LIMIT FOR LARGE SCREENS */
.limit-width {
  max-width: 1365px;
  padding: 0 50px;
  margin: 0 auto;
}

/* SPACING */
.padding-top--xl {
  padding-top: 120px;
}
.padding-top--l {
  padding-top: 80px;
}
.padding-top--m {
  padding-top: 40px;
}
.padding-bottom--xl {
  padding-bottom: 120px;
}
.padding-bottom--l {
  padding-bottom: 80px;
}
.padding-bottom--m {
  padding-bottom: 40px;
}

/* UTILITIES */
.image {
  width: 100%;
  max-width: 100vw;
  max-height: 60vh;
  object-fit: cover;
}

.visually-hidden {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
.scroll-section {
  scroll-margin-top: 220px;
}
.overflow-hidden {
  overflow: hidden;
}

.bg-grey {
  background-color: var(--light-grey);
}
.bg-blue {
  background-color: var(--primary-tint);
}
.border-t-blue {
  border-top: 3px solid var(--primary);
}

/* TYPOGRAPHY */
/* FOR ADJUSTMENTS PER COMPONENT CHECK COMPONENT FILES */

a {
  text-decoration: none;
  color: var(--dark-grey);
  font-size: 18px;
}
h2 {
  color: var(--primary);
  font-size: 18px;
  letter-spacing: 1px;
}
h3 {
  font-size: 25px;
  color: var(--primary);
  font-family: var(--font-secondary);
  font-weight: 400;
  font-style: italic;
}
h4 {
  font-size: 22px;
  color: var(--primary);
  font-weight: 600;
}
p {
  font-size: 18px;
  line-height: 35px;
}
.underline {
  text-decoration: underline;
}
.mobile-only {
  display: none;
}

@media (max-width: 1024px) {
  .gap-large {
    grid-gap: 30px;
  }
  .padding-top--xl {
    padding-top: 70px;
  }
  .padding-top--l {
    padding-top: 64px;
  }
  .padding-top--m {
    padding-top: 47px;
  }
  .padding-bottom--xl {
    padding-bottom: 70px;
  }
  .padding-bottom--l {
    padding-bottom: 64px;
  }
  .padding-bottom--m {
    padding-bottom: 47px;
  }
  .limit-width {
    max-width: 720px;
  }
  .limit-width {
    max-width: 872px;
  }

  h2 {
    font-size: 20px;
  }
  h3 {
    font-size: 24px;
  }
}

@media (max-width: 700px) {
  .limit-width {
    /* MOBILE PADDING ON THE SIDES */
    padding: 0 20px;
  }
  .mobile-only {
    display: block;
  }
  .grid {
    display: block;
    grid-gap: 10px;
  }
  .grid-desktop-only {
    display: block;
  }
  .padding-top--xl {
    padding-top: 70px;
  }
  .padding-top--l,
  .padding-top--m {
    padding-top: 40px;
  }
  .padding-bottom--xl {
    padding-bottom: 70px;
  }
  .padding-bottom--l,
  .padding-bottom--m {
    padding-bottom: 40px;
  }
  .scroll-section {
    scroll-margin-top: 140px;
  }
  .desktop-only {
    display: none;
  }

  h2 {
    font-size: 18px;
  }
  h3 {
    font-size: 35px;
  }
}
